library cloud_data_encryption;

import 'package:encrypt/encrypt.dart';

class CloudDataEncryption {
  final _key = Key.fromUtf8('abcdefghijklmnopqrstuvwxyz123456');
  final _iv = IV.fromLength(16);

  Encrypted encryptPlainText(String plainText){
    final encrypter = Encrypter(AES(_key));
    final encrypted = encrypter.encrypt(plainText, iv: _iv);
    return encrypted;
  }

  String decryptPlainText(Encrypted cipherText){
    final encrypter = Encrypter(AES(_key));
    final decrypted = encrypter.decrypt(cipherText, iv: _iv);
    return decrypted;
  }

}
